<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetZoneInfoList StructType
 * @subpackage Structs
 */
class GetZoneInfoList extends AbstractStructBase
{
    /**
     * The ZoneInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ZoneInfoRQ
     */
    public $ZoneInfoRQ;
    /**
     * Constructor method for GetZoneInfoList
     * @uses GetZoneInfoList::setZoneInfoRQ()
     * @param \StructType\JP_ZoneInfoRQ $zoneInfoRQ
     */
    public function __construct(\StructType\JP_ZoneInfoRQ $zoneInfoRQ = null)
    {
        $this
            ->setZoneInfoRQ($zoneInfoRQ);
    }
    /**
     * Get ZoneInfoRQ value
     * @return \StructType\JP_ZoneInfoRQ|null
     */
    public function getZoneInfoRQ()
    {
        return $this->ZoneInfoRQ;
    }
    /**
     * Set ZoneInfoRQ value
     * @param \StructType\JP_ZoneInfoRQ $zoneInfoRQ
     * @return \StructType\GetZoneInfoList
     */
    public function setZoneInfoRQ(\StructType\JP_ZoneInfoRQ $zoneInfoRQ = null)
    {
        $this->ZoneInfoRQ = $zoneInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetZoneInfoList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
